.site-header {
  position: relative;
  background-color: $white;
  z-index: 2;
  
  @include mq($tablet) {
    height: 5rem;
  }
}

.site-header__wrapper {
  position: relative;
  @include flex-justify;
  
  @include mq($tablet) {
    height: 100%;
    background-color: $white;
  }
}

.site-header__nav-wrapper {
  @include flex-align;
  margin-top: 1.7rem;
}

.site-header__logo {
  width: 12.5rem;
  margin-bottom: -4.6rem;
  margin-right: 5.5rem;
  z-index: 1;
  
  img {
    transition: all 0.3s ease;
  }
  
  @include mq($tablet-landscape) {
    margin-right: 2rem;
  }
  
  @include mq($tablet) {
    position: absolute;
    width: 6.4rem;
    top: 0.3rem;
  }
}

.site-header__nav {
  position: relative;
  @include flex-align;
  
  li {
    margin-right: 2.5rem;
  }
  
  a {
    font-size: 2.4rem;
    color: $black;
    @include hover-underline;
    
    &:after {
      background-color: $black;
    }
  }
  
  @include mq($tablet-landscape) {
    a {
      font-size: 1.8rem;
    }
  }
  
  @include mq($tablet) {
    position: absolute;
    top: 5rem;
    left: 0;
    height: calc(100vh - 5rem);
    width: 100%;
    flex-direction: column;
    align-items: initial;
    padding-top: 5rem;
    background: $body-bckg;
    overflow-y: scroll;
    display: none;
    
    li {
      margin-right: 0;
      padding: 1rem 0;
      text-align: center;
      border-bottom: 1px solid $gray-1;
    }
    
    a:after {
      content: '';
      position: absolute;
      right: -2rem;
      left: initial;
      top: 50%;
      transform: translateY(-50%) rotate(-45deg);
      padding: 0.3rem;
      border: solid $gray-1;
      border-width: 0 0.2rem 0.2rem 0;
      background-color: transparent;
    }
  }
}

.site-header__special-link {
  position: absolute;
  top: -4rem;
  
  a {
    font-family: $font-secondary;
    color: $color-primary;
    font-size: 1.4rem;
  }
}

.site-header__bottom-li {
  position: sticky;
  bottom: 0;
  width: 100%;
  padding: 1rem 0 0 !important;
  border-bottom: 0 !important;
  background-color: $body-bckg;
  
  .call {
    width: 100%;
    justify-content: space-between;
    margin-top: 0;
    
    img {
      width: 10rem;
      min-width: 10rem;
    }
    
    .call__text {
      display: flex;
      justify-content: center;
      flex-direction: column;
      padding: 0 8%;
      
      a:after {
        display: none;
      }
    }
    
    .u-h4 {
      font-size: 1.4rem;
    }
    
    p {
      font-size: 1.1rem;
      white-space: initial;
    }
  }
  
  @include mq($phone) {
    .call {
      flex-direction: initial;
    }
  }
  
  @media screen and (min-height: 549px) {
    position: absolute;
  }
}

.site-header__search {
  display: none;
  position: relative;
  background-color: $color-tercial;
}

.site-header__search-inner {
  height: 11.1rem;
  @include flex-align;
  
  img {
    margin-right: 4rem;
    width: 5rem;
  }
  
  @include mq($phone) {
    img {
      margin-right: 1rem;
    }
  }
}

.site-header__search-close {
  position: absolute;
  right: 2rem;
  top: 50%;
  transform: translateY(-50%);
}

.site-header__search-icon {
  position: absolute;
  top: 0;
  right: 0;
  display: flex;
  padding: 0.55rem 0.85rem;
  background-color: $color-tercial;
  cursor: pointer;
  
  img {
    width: 3rem;
    min-width: 2.2rem;
  }
  
  @include mq($laptop) {
    right: 2rem;
  }
  
  @include mq($tablet) {
    right: 7rem;
    top: 50%;
    transform: translateY(-50%);
    background-color: initial;
  }
}

.sticky {
  position: sticky;
  top: 0;
  
  .site-header__logo {
    margin-bottom: 0;
    margin-top: -1.2rem;
    
    img {
      width: 9rem;
    }
  }
}

// Burger
.site-header__burger {
  position: absolute;
  right: 1rem;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
}

.bar1, .bar2, .bar3 {
  width: 35px;
  height: 5px;
  background-color: #333;
  margin: 0.6rem 0;
  transition: 0.4s;
}

.change {
  padding: 0.6rem 1rem 0.5rem 1rem;
  background-color: $body-bckg;
  right: 0;
}

.change .bar1 {
  transform: rotate(-45deg) translate(-0.9rem, 0.6rem);
}

.change .bar2 {
  opacity: 0;
}

.change .bar3 {
  transform: rotate(45deg) translate(-0.8rem, -0.8rem);
}
// Burger end